Subject: [homenet] CeroWrt RC6 (beta 2) announced.

From: Jim Gettys <[email-masked]>
Date: Mon, 26 Sep 2011 14:05:24 -0400

I promised last week I'd say more about my allusion to sending mail from a routed rather 
bridged home network.  The following announcement went out last week, and I now draw it to this
mailing list's attention.

I'll be attending the Homenet meeting next week.  Note that Dave Taht and I started working
on CeroWrt well before the approval of the charter of the homenet working group, and while our goals are
roughly in align with the working group, we are not constrained to its charter
nor was work inspired by homenet at all.

In fact, our primary goal is to have a test platform to deal with bufferbloat, but also one
we want to run ourselves (and be useful enough to others to help test bufferbloat solutions
in environments where we cannot explicitly test). Given technological trends, we decided it was
best to not feel constrained to run on badly flash constrained devices such as stock OpenWrt, 
and that we needed a modern dual radio router. It's directly a result of what we want in our 
own homes, and can't buy today. The classic "scratch your itch" project.

We do hope it may help settle by demonstration some of the less productive discussions we've seen go by
on the homenet list and meeting, including:
   o whether to bridge or route between networks
   o whether mesh networking is feasible at this date
   o whether Bind/DNSSEC is reasonable to put in such devices due to size
"Rough Consensus and Running Code...".  Have some running code; hopefully we'll see some
consensus form....

Here's a synopsis of the announcement:

CeroWrt 1.0-RC6 (beta 2) is now available. It now runs Linux 3.0.4,
ISC-Bind 9.8.1, babel 1.2, and has a preliminary minimum defaults
for many bufferbloat related issues. Performance testing has begun -
and shows that some of those defaults need to be changed. Please
help!

CeroWrt is a build of the OpenWrt routing platform intended for use by individuals, 
network engineers, researchers, teachers and students interested
in advancing the state of the art on the Internet, and in particular 
investigating the problems of latency under load, bufferbloat, wireless-n, 
and the interrelationships between various TCP & QoS algorithms

CeroWrt RC6 (beta 2) includes:
   o extensive network diagnostic, performance measurement, and simulation tools
   o comprehensive IPv6 support
   o integral web server
   o rsync server
   o advanced Bind DNS server with DNSSEC validation and signing
   o support for mesh networking
   o a web proxy server
   o and most importantly, extensive debloating
   o ethernet, 2.4 ghz and 5gkh wireless networks are all routed, not bridged

CeroWrt is aimed at (currently) a single hardware platform for which
fully open drivers are available: the Netgear WNDR3700v2, a current
802.11abgn router using the Atheros AR7161 rev 2 with gigabit
Ethernet ports. Last we looked, these cost $120 quantity one.

Our great thanks to Felix Fietkau and Andrew McGregor for their work
on the ath9k driver to greatly improve 802.11n aggregation behaviour
(which also reduces required buffering in the driver by about a
factor of three).

For lots more information about CeroWrt, look at: http://cero2.bufferbloat.net/cerowrt/

This is running on a CeroWrt router, of course.

The full release announcement can be found at: http://www.bufferbloat.net/news/19

Dave Taht's taking some well deserved vacation right now: I'll answer questions as
best I can, but he's the real router wizard between us.

Happy hacking.  Please come help. Plenty of rough edges to file off yet, and I'm sure 
you have features you may want (and can make happen); remember, running code...
				- Jim Gettys